
# Needs a file to get the protection code from (ultra1.v64 demo is used here)
# Note that the start addres is 80140000, not the usual 80200000, to free some extra RAM

player.bin: player.lnk \
	mikmod.obj \
	crt0_p.obj \
	music_p.obj \
	printf.obj \
	font88_p.obj \
	logo_p.obj \
	../mmio/mmio.obj \
	../mmio/mmalloc.obj \
	../mmio/mmerror.obj \
	../mmio/mem.obj \
	../MikMod/mloader.obj \
	../MikMod/mlreg.obj \
	../MikMod/npertab.obj \
	../MikMod/sloader.obj \
	../MikMod/load_uni.obj \
	../MikMod/s3m_it.obj \
	../MikMod/mdriver.obj \
	../MikMod/mdreg.obj \
	../MikMod/drv_n64.obj \
	../MikMod/drv_nos.obj \
	../MikMod/mplayer.obj \
	../MikMod/virtch.obj \
	../MikMod/munitrk.obj
	psylink /p /m /c /s @player.lnk,player.bin,player.sym,player.map
	dir player.bin
	ias -a 0x80010000 -h header.dat -f player.bin
	ias -t "CZN module player" player.bin
	ias -z 008 player.bin
	ias --crc player.bin


#Assembly files stuff
crt0_p.obj: crt0_p.s
sound.obj: sound.s

# Build rules
.c.obj:
	ccn6432 -I. -I../include -c -g -O2 -G0 $*.c

.s.obj:
	asmn6432 /zd /l /ow- /g /x $*,$*

# Which suffixes can be used for the build rules (only needed for NMAKE, remove if using PSYMAKE)
.SUFFIXES: .c .s
